Skip to main content
GET
OI Change

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

limit
integer
default:100

How many items to return. Default: 100. Max: 200. Min: 1.

Required range: 1 <= x <= 200
Example:

10

order
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

Response

A list of option contracts with their OI change relative to the previous day.

avg_price
any
curr_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

curr_oi
any
last_ask
any
last_bid
any
last_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

last_fill
any
last_oi
any
oi_change
any
oi_diff_plain
any
option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

percentage_of_total
any
prev_ask_volume
any
prev_bid_volume
any
prev_mid_volume
any
prev_multi_leg_volume
any
prev_neutral_volume
any
prev_stock_multi_leg_volume
any
prev_total_premium
any
rnk
any
trades
any
underlying_symbol
any
volume
any
Last modified on September 29, 2026